IT兄弟连 HTML5教程 设置IE9以下版本浏览器支持HTML5

HTML2.HTML5刚发布时由于各浏览器之间的标准不统一,开发者的时间都浪费在解决Web浏览器之间的兼容性上。但由于W3C和WHATWG对HTML5新版本的制定,以及近年来对HTML5的使用,再加上各大浏览器鼎力支持,已经有非常丰富的兼容性解决方案,多数应用HTML5在老版本的浏览器上也可以正常运行,正是因为保障了兼容性才能让人毫不犹豫的用HTML5开发网站。HTML5内部并没有封装什么很复杂的、不切实际的功能,而是封装了简单实用的功能,HTML5内部功能不是革命性的而是发展性的,并不代表HTML4创建出来的网站必须全部要重建,只会要求各Web浏览器今后能正常运行用HTML5开发出来的功能。最新版本的Safari、Chrome、Firefox以及Opera支持某些HTML5特性。IE 9将支持某些HTML5特性,IE10将全面支持HTML5。IE8及以下IE版本对HTML5标签的支持是有限的,我们可以通过在网页中添加脚本的方式来解决目前IE浏览器对HTML5部分常用功能支持的问题。让IE(包括IE6)支持HTML5元素,我们需要在HTML头部添加以下JavaScript代码,Opera,FireFox等其他非IE浏览器就会忽视这段代码。

47ec89277a05449fa3f6e15bdefe60d2.png

上面这段代码仅会在IE浏览器下运行,还有一点需要注意,在页面中调用html5.js文件必须添加在页面的head元素内,因为IE浏览器必须在元素解析前知道这个元素,所以这个js文件不能在页面底部调用。另外,页面还需要主体结构完整,像body和文档类型都不能少。这个html5的js文件如果觉得这样会影响你的网页打开速度,你可以把html5的js文件直接下载下来然后上传到自己的服务器单独调用。

不用多久,随着HTML5的发展普及,越来越多的用户会选择安装支持HTML5较好的浏览器使用,到那时开发人员将不用再考虑IE9以下版本的兼容性问题。

posted on 2019-10-08 14:17  老码农的一亩三分地  阅读(...)  评论(...编辑  收藏

导航